{ config, pkgs, ... }:
{
	environment.systemPackages = with pkgs; [
		sops
	];
	sops.age.keyFile = "/var/lib/sops-nix/key.txt";
	sops.secrets.smb = {
		sopsFile = ../secrets/smb.creds;
		format = "binary";
		mode = "0400";
		owner = "root";
		group = "root";
	};
}
